## ppl 1.0

=== debian/changelog ===
ppl (1.0-1ubuntu2) raring; urgency=low

  * Fix typo in libppl-doc dependency.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 28 Jan 2013 17:30:30 +0100

ppl (1.0-1ubuntu1) raring; urgency=low

  * Merge with Debian; remaining changes:
    - Disable building the SWI-Prolog bindings as its in universe.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 28 Jan 2013 02:29:37 +0100

ppl (1.0-1) experimental; urgency=low

  * New upstream version. Closes: #680897.

 -- Matthias Klose <doko@debian.org>  Sun, 27 Jan 2013 23:15:02 +0100
