## ppl 1.1

=== debian/changelog ===
ppl (1:1.1-7.2build1) xenial; urgency=medium

  * No-change upload for swi-prolog update.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 22 Feb 2016 15:05:30 +0100

ppl (1:1.1-7.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Restore the libppl-doc and libppl-swi packages, not built by mistake
    in the previous upload.

 -- Matthias Klose <doko@debian.org>  Fri, 11 Dec 2015 22:04:46 +0100

ppl (1:1.1-7.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix build failure with with swi-prolog 7.x (Roberto Bagnara).
    Closes: #787486.

 -- Matthias Klose <doko@debian.org>  Mon, 07 Dec 2015 22:04:41 +0100

ppl (1:1.1-7) unstable; urgency=medium

  * Rename C++ library package for the libstdc++ v5 transition. Thanks Simon
    McVittie for providing the necessary patch and chasing all this up.
    Closes: #799641.
  * Run gzip with -n to enable reproducible builds

 -- Michael Tautschnig <mt@debian.org>  Mon, 21 Sep 2015 12:27:25 +0100

ppl (1:1.1-6) unstable; urgency=low

  * Re-adopting the package. Closes: #791996.
  * libppl-dev.maintscript: Perform the symlink_to_dir migration of
    /usr/share/doc/libppl-dev. The symlink dates back to the package in lenny
    as the libppl-dev package did not exist in squeeze or wheezy.
    Closes: #788455.
  * libppl-dev: Update Breaks+Conflicts to match Replaces+Provides.
  * Thanks Andreas Beckmann <anbe@debian.org> for those two patches.

 -- Michael Tautschnig <mt@debian.org>  Tue, 25 Aug 2015 21:24:30 +0100

ppl (1:1.1-5) unstable; urgency=medium

  * QA upload.
  * Orphan the package. Not used anymore for recent GCC versions.
    See #791996.
  * Build with -fpermissive. Works around a ftbfs.
  * Ignore test results; the prolog tests currently fail with swi-prolog 7.2.
    Addresses: #787486.

 -- Matthias Klose <doko@debian.org>  Wed, 22 Jul 2015 15:00:43 +0200

ppl (1:1.1-4) unstable; urgency=medium

  * Fix build with doxygen 1.8.9.

 -- Matthias Klose <doko@debian.org>  Wed, 29 Apr 2015 16:10:11 +0200

ppl (1:1.1-3) unstable; urgency=medium

  * Build using dh-autoreconf instead of autotools-dev. Closes: #755959.
  * Define our own \+ latex command. Closes: #751355.
  * Fix linking of libppl_tests.

 -- Matthias Klose <doko@debian.org>  Fri, 25 Jul 2014 10:55:11 +0200

ppl (1:1.1-2) unstable; urgency=medium

  * Work around GCC PR target/60609 to avoid the build failure
    of the SWI Prolog bindings on armhf.

 -- Matthias Klose <doko@debian.org>  Fri, 21 Mar 2014 16:37:04 +0100

ppl (1:1.1-1) unstable; urgency=medium

  * PPL 1.1 release.

 -- Matthias Klose <doko@debian..org>  Mon, 23 Dec 2013 21:46:33 +0100

ppl (1:1.1~pre8-1) experimental; urgency=low

  * ppl snapshot 1.1pre8.
  * Bump libppl soversion.
  * Rename libppl0.12-dev to libppl-dev.

 -- Matthias Klose <doko@debian.org>  Thu, 09 May 2013 13:16:42 +0200

ppl (1:1.0-7) unstable; urgency=low

  * Fix typo in libppl-doc dependencies.
  * Proper fix to build with both gmp 5.0 and 5.1.

 -- Matthias Klose <doko@debian.org>  Thu, 09 May 2013 12:46:30 +0200

ppl (1:1.0-6) unstable; urgency=low

  * Fix build failure with gmp-5.1.

 -- Matthias Klose <doko@debian.org>  Mon, 06 May 2013 17:53:04 +0200

ppl (1:1.0-5) unstable; urgency=low

  * Upload to unstable.

 -- Matthias Klose <doko@debian.org>  Mon, 06 May 2013 15:44:07 +0200

ppl (1:1.0-4) experimental; urgency=low

  * Ignore test failures on s390x. No feedback from the Debian porters.

 -- Matthias Klose <doko@debian.org>  Sat, 09 Feb 2013 17:21:45 +0100

ppl (1:1.0-3) experimental; urgency=low

  * Bump the epoch (and the release number, because the archive software
    can't handle 1:1.0-2 after an 1.0-2 upload), upload to experimental
    this time.

 -- Matthias Klose <doko@debian.org>  Thu, 31 Jan 2013 22:31:14 +0100

ppl (1.0-2) unstable; urgency=low

  * Fix build failure in testsuite on sparc, s390, s390x.
  * Don't try to build the prolog bindings on arm64 and hurd-i386.

 -- Matthias Klose <doko@debian.org>  Thu, 31 Jan 2013 13:45:12 +0100

ppl (1:0.11.2-9) unstable; urgency=low

  * Bump epoch to overwrite an upload of ppl-1.0 to unstable.

 -- Matthias Klose <doko@debian.org>  Thu, 31 Jan 2013 16:22:27 +0100
