=== debian/control ===
--- 
+++ 
@@ -1,20 +1,21 @@
 Source: ppl
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian GCC Maintainers <debian-gcc@lists.debian.org>
-Uploaders: Michael Tautschnig <mt@debian.org>, Arthur Loiret <aloiret@debian.org>, Matthias Klose <doko@debian.org>
-Standards-Version: 3.9.3
-Build-Depends: debhelper (>= 6.0.7~), libgmp-dev, autoconf, libtool, autotools-dev, chrpath,
+Maintainer: Michael Tautschnig <mt@debian.org>
+Standards-Version: 3.9.6
+Build-Depends: debhelper (>= 6.0.7~), dh-autoreconf,
+ libgmp-dev, swi-prolog [!hurd-i386], chrpath,
  libncurses5-dev, libncursesw5-dev
 Build-Depends-Indep: doxygen-latex, graphviz, poppler-utils, ghostscript, texlive-math-extra
 Homepage: http://www.cs.unipr.it/ppl/
 
-Package: libppl12
+Package: libppl13v5
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
+Conflicts: libppl13
+Replaces: libppl13
 Description: Parma Polyhedra Library (runtime library)
  The Parma Polyhedra Library (PPL) is a C++ library for the
  manipulation of (not necessarily closed) convex polyhedra and other
@@ -26,16 +27,18 @@
  limitation to the dimension of anything), written in standard C++,
  exception-safe, rather efficient and thoroughly documented.
 
-Package: libppl0.12-dev
+Package: libppl-dev
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
 Section: libdevel
-Depends: libppl12 (= ${binary:Version}), libppl-c4 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
-Provides: libppl-c-dev, libppl-dev
+Depends: libppl13v5 (= ${binary:Version}), libppl-c4 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
+Provides: libppl-c-dev, libppl0.12-dev
 Recommends: libgmp3-dev (>= 4.1.3)
-Replaces: libppl6, libppl7 (<< 0.10~pre27-4), libppl9
-Conflicts: libppl0.10-dev, libppl0.11-dev
+# B+R: libppl6 can be removed after stretch was released
+Replaces: libppl6, libppl7 (<< 0.10~pre27-4), libppl9, libppl0.12-dev
+Breaks: libppl6, libppl7 (<< 0.10~pre27-4), libppl9
+Conflicts: libppl0.10-dev, libppl0.11-dev, libppl0.12-dev
 Suggests: libppl-doc
 Description: Parma Polyhedra Library (development)
  The Parma Polyhedra Library (PPL) is a C++ library for the
@@ -55,7 +58,7 @@
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
 Section: devel
-Depends: libppl0.12-dev (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
+Depends: libppl-dev (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
 Replaces: libppl0.11-dev
 Description: Parma Polyhedra Library (development binaries)
  The Parma Polyhedra Library (PPL) is a C++ library for the
@@ -74,7 +77,7 @@
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
-Depends: libppl12 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
+Depends: libppl13v5 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
 Description: Parma Polyhedra Library (C interface)
  The Parma Polyhedra Library (PPL) is a C++ library for the
  manipulation of (not necessarily closed) convex polyhedra and other
@@ -109,7 +112,7 @@
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
-Depends: libppl12 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}, swi-prolog
+Depends: libppl13v5 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}, swi-prolog
 Description: Parma Polyhedra Library (SWI Prolog interface)
  The Parma Polyhedra Library (PPL) is a C++ library for the
  manipulation of (not necessarily closed) convex polyhedra and other
