## ppl 1.2

=== debian/changelog ===
ppl (1:1.2-2build4) bionic; urgency=medium

  * No-change rebuild against swi-prolog 7.6.4

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 05 Feb 2018 17:57:24 -0800

ppl (1:1.2-2build3) bionic; urgency=medium

  * No-change rebuild against swi-prolog 7.6.2

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 28 Nov 2017 23:42:52 -0800

ppl (1:1.2-2build2) bionic; urgency=medium

  * No-change rebuild against swi-prolog 7.6.1

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 21 Nov 2017 23:47:33 -0800

ppl (1:1.2-2build1) artful; urgency=medium

  * No-change rebuild against new swi-prolog

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 26 Jul 2017 13:11:07 -0700

ppl (1:1.2-2) unstable; urgency=medium

  * Team upload.
  * Bug fix: replace build-dep on texlive-math-extra with texlive-science,
    thanks to Adrian Bunk (Closes: #867100).

 -- David Bremner <bremner@debian.org>  Wed, 12 Jul 2017 17:54:54 -0300

ppl (1:1.2-1) unstable; urgency=medium

  [ Andreas Tille ]
  * Team upload
  * Move package to Debian Science team Git
  * cme fix dpkg-control
  * Remove libppl6 breaks
  * debhelper 9

  [ Tobias Hansen ]
  * New upstream version. (Closes: #811825, #818957)
  * Fix build-indep target (Closes: #806865)
  * Rename package libppl13v5 -> libppl14, new soname.
  * Remove patches that were applied upstream:
    - 0001-Warnings-avoided.patch
    - 0002-Adapted-to-SWI-Prolog-version-7.x.patch
    - doxygen-update.diff
    - latex-header.diff
  * Do not use the fixdebugpath flag from dpkg-buildflags,
    which breaks the build.
  * Add myself to uploaders.

 -- Tobias Hansen <thansen@debian.org>  Sat, 12 Nov 2016 16:47:39 +0000
