=== debian/control ===
--- 
+++ 
@@ -1,21 +1,32 @@
 Source: ppl
+Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
+Uploaders: Tobias Hansen <thansen@debian.org>, Michael Tautschnig <mt@debian.org>
 Section: libs
 Priority: optional
-Maintainer: Michael Tautschnig <mt@debian.org>
-Standards-Version: 3.9.6
-Build-Depends: debhelper (>= 6.0.7~), dh-autoreconf,
- libgmp-dev, swi-prolog [!hurd-i386], chrpath,
- libncurses5-dev, libncursesw5-dev
-Build-Depends-Indep: doxygen-latex, graphviz, poppler-utils, ghostscript, texlive-math-extra
+Build-Depends: debhelper (>= 9),
+               dh-autoreconf,
+               dpkg-dev (>= 1.16.1~),
+               libgmp-dev,
+               swi-prolog [!hurd-i386],
+               chrpath,
+               libncurses5-dev,
+               libncursesw5-dev
+Build-Depends-Indep: doxygen-latex,
+                     graphviz,
+                     poppler-utils,
+                     ghostscript,
+		     texlive-science
+Standards-Version: 3.9.8
+Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/ppl.git
+Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/ppl.git
 Homepage: http://www.cs.unipr.it/ppl/
 
-Package: libppl13v5
+Package: libppl14
 Architecture: any
 Multi-Arch: same
+Depends: ${shlibs:Depends},
+         ${misc:Depends}
 Pre-Depends: ${misc:Pre-Depends}
-Depends: ${shlibs:Depends}, ${misc:Depends}
-Conflicts: libppl13
-Replaces: libppl13
 Description: Parma Polyhedra Library (runtime library)
  The Parma Polyhedra Library (PPL) is a C++ library for the
  manipulation of (not necessarily closed) convex polyhedra and other
@@ -30,16 +41,24 @@
 Package: libppl-dev
 Architecture: any
 Multi-Arch: same
+Section: libdevel
+Depends: libppl14 (= ${binary:Version}),
+         libppl-c4 (= ${binary:Version}),
+         ${shlibs:Depends},
+         ${misc:Depends}
+Recommends: libgmp3-dev
+Suggests: libppl-doc
 Pre-Depends: ${misc:Pre-Depends}
-Section: libdevel
-Depends: libppl13v5 (= ${binary:Version}), libppl-c4 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
-Provides: libppl-c-dev, libppl0.12-dev
-Recommends: libgmp3-dev (>= 4.1.3)
-# B+R: libppl6 can be removed after stretch was released
-Replaces: libppl6, libppl7 (<< 0.10~pre27-4), libppl9, libppl0.12-dev
-Breaks: libppl6, libppl7 (<< 0.10~pre27-4), libppl9
-Conflicts: libppl0.10-dev, libppl0.11-dev, libppl0.12-dev
-Suggests: libppl-doc
+Breaks: libppl7 (<< 0.10~pre27-4),
+        libppl9
+Conflicts: libppl0.10-dev,
+           libppl0.11-dev,
+           libppl0.12-dev
+Provides: libppl-c-dev,
+          libppl0.12-dev
+Replaces: libppl7 (<< 0.10~pre27-4),
+          libppl9,
+          libppl0.12-dev
 Description: Parma Polyhedra Library (development)
  The Parma Polyhedra Library (PPL) is a C++ library for the
  manipulation of (not necessarily closed) convex polyhedra and other
@@ -56,9 +75,11 @@
 
 Package: ppl-dev
 Architecture: any
+Section: devel
+Depends: libppl-dev (= ${binary:Version}),
+         ${shlibs:Depends},
+         ${misc:Depends}
 Pre-Depends: ${misc:Pre-Depends}
-Section: devel
-Depends: libppl-dev (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
 Replaces: libppl0.11-dev
 Description: Parma Polyhedra Library (development binaries)
  The Parma Polyhedra Library (PPL) is a C++ library for the
@@ -76,8 +97,10 @@
 Package: libppl-c4
 Architecture: any
 Multi-Arch: same
+Depends: libppl14 (= ${binary:Version}),
+         ${shlibs:Depends},
+         ${misc:Depends}
 Pre-Depends: ${misc:Pre-Depends}
-Depends: libppl13v5 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
 Description: Parma Polyhedra Library (C interface)
  The Parma Polyhedra Library (PPL) is a C++ library for the
  manipulation of (not necessarily closed) convex polyhedra and other
@@ -94,7 +117,8 @@
 Package: libppl-doc
 Architecture: all
 Section: doc
-Depends: ${misc:Depends}, libjs-jquery
+Depends: ${misc:Depends},
+         libjs-jquery
 Description: Parma Polyhedra Library: Documentation
  The Parma Polyhedra Library (PPL) is a C++ library for the
  manipulation of (not necessarily closed) convex polyhedra and other
@@ -111,8 +135,11 @@
 Package: libppl-swi
 Architecture: any
 Multi-Arch: same
+Depends: libppl14 (= ${binary:Version}),
+         ${shlibs:Depends},
+         ${misc:Depends},
+         swi-prolog
 Pre-Depends: ${misc:Pre-Depends}
-Depends: libppl13v5 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}, swi-prolog
 Description: Parma Polyhedra Library (SWI Prolog interface)
  The Parma Polyhedra Library (PPL) is a C++ library for the
  manipulation of (not necessarily closed) convex polyhedra and other
