=== debian/rules ===
--- 
+++ 
@@ -20,10 +20,12 @@
 DEB_HOST_MULTIARCH   ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
 
-CPPFLAGS = $(shell dpkg-buildflags --get CPPFLAGS)
-CFLAGS = $(dpkg-buildflags --get CFLAGS) -Wall -g
-CXXFLAGS = $(shell dpkg-buildflags --get CXXFLAGS) -Wall -g -fpermissive
-LDFLAGS = $(shell dpkg-buildflags --get LDFLAGS)
+# This flag breaks the build.
+export DEB_BUILD_MAINT_OPTIONS=reproducible=-fixdebugpath
+DPKG_EXPORT_BUILDFLAGS = 1
+include /usr/share/dpkg/buildflags.mk
+CFLAGS += -Wall -g
+CXXFLAGS += -Wall -g -fpermissive
 
 ifeq ($(DEB_HOST_MULTIARCH),arm-linux-gnueabihf)
   CFLAGS += -marm
@@ -109,7 +111,7 @@
 endif
 
 build-indep: build-indep-stamp
-build-indep-stamp: configure-stamp
+build-indep-stamp: configure-stamp build-arch-stamp
 	export save_size=10000 ; $(MAKE) -C doc user-configured
 	touch $@
 
@@ -132,6 +134,7 @@
 	dh_installdirs -i
 #	Build all the documentation, then move it into debian/tmp
 #	directories which have fixed names.
+	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp
 	mkdir -p $(DOC_DIR)/html || exit 1
 	mv $(DOC_DIR)/ppl-user-$(PPL_VERSION)-html $(DOC_DIR)/html/user-manual
 	mv $(DOC_DIR)/ppl-user-$(PPL_VERSION).pdf $(DOC_DIR)/ppl-user-browse.pdf
@@ -147,7 +150,7 @@
 	mkdir -p debian/tmp/usr/include/$(DEB_HOST_MULTIARCH)
 	mv debian/tmp/usr/include/*.*h debian/tmp/usr/include/$(DEB_HOST_MULTIARCH)/
 	-chrpath -d \
-		debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libppl.so.13.0.0 \
+		debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libppl.so.14.0.0 \
 		debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libppl_c.so.4.0.0 \
 		debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/ppl/libppl_swiprolog.so
